#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::workspace
{
    class ExecuteCommand : public IRequestProvider
    {
    public:
        ExecuteCommand() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
